import Vue from 'vue'
import Router from 'vue-router'
// import vantui from 'vant'
// import 'vant/lib/index.css'
import login from '@/components/pages/login'
import twentyFour from '@/components/pages/twentyFour'
Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'login',
        component: login,
        meta: {
            title: '上传作业',
            requireAuth: '' // 是否需要判断是否登录,这里是需要判断
        }
    }, {
        path: '/twentyFour',
        name: 'twentyFour',
        component: twentyFour,
        meta: {
            title: '24点功能',
            requireAuth: '' // 是否需要判断是否登录,这里是需要判断
        }
    }, ]
})

const VueRouterPush = Router.prototype.push
Router.prototype.push = function push(to) {
    return VueRouterPush.call(this, to).catch(err => err)
}